import { get, post } from './http.js';
// 获取钱包
export const getWallet = (params) => {
  return get('app/member/wallet', params)
}
// 获取充值列表
export const getRechargeList = (params) => {
  return get('app/recharge/list', params)
}
// 充值
export const recharge = (params) => {
  return post('app/pay/order', params)
}
// 充值
export const getPayResult = (params) => {
  return get('app/pay/tradeQuery', params)
}

// 充值协议接口
export const getExplain = (params) => {
  return get('app/common/explain', params)
}

// 我的优惠券(带分页)
export const getCouponList = (params) => {
  return get('app/coupon/list', params)
}

// 优惠券说明
export const getCouponExplain = (params) => {
  return get('app/coupon/explain', params)
}

// 消费明细列表
export const getAccountFlow = (params) => {
  return get('app/member/accountFlow', params)
}

export const balanceLogs = (params) => {
  return get('app/member/balance/logs', params)
}